Package csb :: Package apps :: Module hhsearch :: Class HHsearch

[frames] | no frames]

# Class HHsearch

source code

    object --+
             |
            HHsearch

Nested Classes
| Options

Instance Methods

__init__(self, binary, db, cpu=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

run(self, context) | source code

runmany(self, contexts, workers=4, cpu=1) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| cpu
| db
| mac_threshold
| max_alignments
| max_evalue
| max_hits
| min_probability
| parser
| program
| ss
Inherited from `object`: `__class__`

Method Details

### __init__(self, binary, db, cpu=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

Property Details

### cpu

Get Method:
  unreachable.cpu(self)
Set Method:
  unreachable.cpu(self, value)

### db

Get Method:
  unreachable.db(self)
Set Method:
  unreachable.db(self, value)

### mac_threshold

Get Method:
  unreachable.mac_threshold(self)
Set Method:
  unreachable.mac_threshold(self, value)

### max_alignments

Get Method:
  unreachable.max_alignments(self)
Set Method:
  unreachable.max_alignments(self, value)

### max_evalue

Get Method:
  unreachable.max_evalue(self)
Set Method:
  unreachable.max_evalue(self, value)

### max_hits

Get Method:
  unreachable.max_hits(self)
Set Method:
  unreachable.max_hits(self, value)

### min_probability

Get Method:
  unreachable.min_probability(self)
Set Method:
  unreachable.min_probability(self, value)

### parser

Get Method:
  unreachable.parser(self)
Set Method:
  unreachable.parser(self, value)

### program

Get Method:
  unreachable.program(self)
Set Method:
  unreachable.program(self, value)

### ss

Get Method:
  unreachable.ss(self)
Set Method:
  unreachable.ss(self, value)